Bug 115702 - [PATCH] shells/zsh: various completion fixes
[PATCH] shells/zsh: various completion fixes
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: sergei
Depends on:
  Show dependency treegraph
Reported: 2007-08-22 01:20 UTC by Sean Farley
Modified: 2007-10-05 09:30 UTC (History)
1 user (show)

See Also:

zsh-4.3.4_1.patch (3.22 KB, patch)
2007-08-22 01:20 UTC, Sean Farley
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sean Farley freebsd_committer 2007-08-22 01:20:00 UTC
- Added FreeBSD flavor of locate to completion.
- mount completions were parsing mount output in reverse order.
- umount completions were completely failing due to readlink options
  that are Linux-centric.

Note:  umount completions only partially work.  umount<Space><Tab> will
give a correct list, but partial completion will not work just right:
e.g.,  umount<Space>/us<Tab> will result in "umount /us/".  Someone
better with completions should have a look at it.

Added file(s):
- files/patch-Completion-Unix-Command-_locate
- files/patch-Completion-Unix-Command-_mount
- files/patch-Completion-Unix-Type-_canonical_paths

Port maintainer (sergei@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2007-08-22 01:20:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sergei

Over to maintainer
Comment 2 mattboll 2007-10-04 13:46:39 UTC
Same thing here.

But about completion, sed -i -e
's/readlink/stat/g' /usr/local/share/zsh/4.3.4/functions/Completion/Unix/_canonical_paths should do the trick.

(mount /mn[tab] will be mount /mnt/)

hope it will help.
Comment 3 dfilter freebsd_committer 2007-10-05 09:22:52 UTC
sergei      2007-10-05 08:22:46 UTC

  FreeBSD ports repository

  Modified files:
    shells/zsh           Makefile 
  Added files:
    shells/zsh/files     patch-Completion-Unix-Command-_locate 
  - Add Peter Stephenson's patch from Zsh CVS repo that adds (un)setenv()
    detection. This fixes the issue on 7-CURRENT where Zsh was manipulating
    environment directly in conflict with the new *env() functions:
    6-STABLE continues to works correctly.
    More info about the patch:
  - Fix completions for locate(1), mount(8), umount(8) to avoid some linuxisms
    and do the right thing under FreeBSD
  PR:             ports/115094, ports/115702
  Submitted by:   Sean C. Farley (scf)
  Revision  Changes    Path
  1.88      +1 -1      ports/shells/zsh/Makefile
  1.1       +40 -0     ports/shells/zsh/files/patch-Completion-Unix-Command-_locate (new)
  1.1       +13 -0     ports/shells/zsh/files/patch-Completion-Unix-Command-_mount (new)
  1.1       +20 -0     ports/shells/zsh/files/patch-Completion-Unix-Type-_canonical_paths (new)
  1.1       +253 -0    ports/shells/zsh/files/patch-environ (new)
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 sergei freebsd_committer 2007-10-05 09:23:50 UTC
State Changed
From-To: open->closed

Committed. Thanks!